// Code generated by go-swagger; DO NOT EDIT.

package endpoint

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"
	"time"

	"golang.org/x/net/context"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	cr "github.com/go-openapi/runtime/client"

	strfmt "github.com/go-openapi/strfmt"

	"github.com/cilium/cilium/api/v1/models"
)

// NewPutEndpointIDLabelsParams creates a new PutEndpointIDLabelsParams object
// with the default values initialized.
func NewPutEndpointIDLabelsParams() *PutEndpointIDLabelsParams {
	var ()
	return &PutEndpointIDLabelsParams{

		timeout: cr.DefaultTimeout,
	}
}

// NewPutEndpointIDLabelsParamsWithTimeout creates a new PutEndpointIDLabelsParams object
// with the default values initialized, and the ability to set a timeout on a request
func NewPutEndpointIDLabelsParamsWithTimeout(timeout time.Duration) *PutEndpointIDLabelsParams {
	var ()
	return &PutEndpointIDLabelsParams{

		timeout: timeout,
	}
}

// NewPutEndpointIDLabelsParamsWithContext creates a new PutEndpointIDLabelsParams object
// with the default values initialized, and the ability to set a context for a request
func NewPutEndpointIDLabelsParamsWithContext(ctx context.Context) *PutEndpointIDLabelsParams {
	var ()
	return &PutEndpointIDLabelsParams{

		Context: ctx,
	}
}

// NewPutEndpointIDLabelsParamsWithHTTPClient creates a new PutEndpointIDLabelsParams object
// with the default values initialized, and the ability to set a custom HTTPClient for a request
func NewPutEndpointIDLabelsParamsWithHTTPClient(client *http.Client) *PutEndpointIDLabelsParams {
	var ()
	return &PutEndpointIDLabelsParams{
		HTTPClient: client,
	}
}

/*PutEndpointIDLabelsParams contains all the parameters to send to the API endpoint
for the put endpoint ID labels operation typically these are written to a http.Request
*/
type PutEndpointIDLabelsParams struct {

	/*Configuration*/
	Configuration *models.LabelConfigurationModifier
	/*ID
	  String describing an endpoint with the format `[prefix:]id`. If no prefix
	is specified, a prefix of `cilium-local:` is assumed. Not all endpoints
	will be addressable by all endpoint ID prefixes with the exception of the
	local Cilium UUID which is assigned to all endpoints.

	Supported endpoint id prefixes:
	  - cilium-local: Local Cilium endpoint UUID, e.g. cilium-local:3389595
	  - cilium-global: Global Cilium endpoint UUID, e.g. cilium-global:cluster1:nodeX:452343
	  - container-id: Container runtime ID, e.g. container-id:22222
	  - container-name: Container name, e.g. container-name:foobar
	  - pod-name: pod name for this container if K8s is enabled, e.g. pod-name:default:foobar
	  - docker-endpoint: Docker libnetwork endpoint ID, e.g. docker-endpoint:4444


	*/
	ID string

	timeout    time.Duration
	Context    context.Context
	HTTPClient *http.Client
}

// WithTimeout adds the timeout to the put endpoint ID labels params
func (o *PutEndpointIDLabelsParams) WithTimeout(timeout time.Duration) *PutEndpointIDLabelsParams {
	o.SetTimeout(timeout)
	return o
}

// SetTimeout adds the timeout to the put endpoint ID labels params
func (o *PutEndpointIDLabelsParams) SetTimeout(timeout time.Duration) {
	o.timeout = timeout
}

// WithContext adds the context to the put endpoint ID labels params
func (o *PutEndpointIDLabelsParams) WithContext(ctx context.Context) *PutEndpointIDLabelsParams {
	o.SetContext(ctx)
	return o
}

// SetContext adds the context to the put endpoint ID labels params
func (o *PutEndpointIDLabelsParams) SetContext(ctx context.Context) {
	o.Context = ctx
}

// WithHTTPClient adds the HTTPClient to the put endpoint ID labels params
func (o *PutEndpointIDLabelsParams) WithHTTPClient(client *http.Client) *PutEndpointIDLabelsParams {
	o.SetHTTPClient(client)
	return o
}

// SetHTTPClient adds the HTTPClient to the put endpoint ID labels params
func (o *PutEndpointIDLabelsParams) SetHTTPClient(client *http.Client) {
	o.HTTPClient = client
}

// WithConfiguration adds the configuration to the put endpoint ID labels params
func (o *PutEndpointIDLabelsParams) WithConfiguration(configuration *models.LabelConfigurationModifier) *PutEndpointIDLabelsParams {
	o.SetConfiguration(configuration)
	return o
}

// SetConfiguration adds the configuration to the put endpoint ID labels params
func (o *PutEndpointIDLabelsParams) SetConfiguration(configuration *models.LabelConfigurationModifier) {
	o.Configuration = configuration
}

// WithID adds the id to the put endpoint ID labels params
func (o *PutEndpointIDLabelsParams) WithID(id string) *PutEndpointIDLabelsParams {
	o.SetID(id)
	return o
}

// SetID adds the id to the put endpoint ID labels params
func (o *PutEndpointIDLabelsParams) SetID(id string) {
	o.ID = id
}

// WriteToRequest writes these params to a swagger request
func (o *PutEndpointIDLabelsParams) WriteToRequest(r runtime.ClientRequest, reg strfmt.Registry) error {

	if err := r.SetTimeout(o.timeout); err != nil {
		return err
	}
	var res []error

	if o.Configuration == nil {
		o.Configuration = new(models.LabelConfigurationModifier)
	}

	if err := r.SetBodyParam(o.Configuration); err != nil {
		return err
	}

	// path param id
	if err := r.SetPathParam("id", o.ID); err != nil {
		return err
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}
