// Code generated by protoc-gen-go. DO NOT EDIT.
// source: api/discovery.proto

package api

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_protobuf5 "github.com/golang/protobuf/ptypes/any"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// A DiscoveryRequest requests a set of versioned resources of the same type for
// a given Envoy node on some API.
type DiscoveryRequest struct {
	// The version_info provided in the request messages will be the version_info
	// received with the most recent successfully processed response or empty on
	// the first request. It is expected that no new request is sent after a
	// response is received until the Envoy instance is ready to ACK/NACK the new
	// configuration. ACK/NACK takes place by returning the new API config version
	// as applied or the previous API config version respectively. Each type_url
	// (see below) has an independent version associated with it.
	VersionInfo string `protobuf:"bytes,1,opt,name=version_info,json=versionInfo" json:"version_info,omitempty"`
	Node        *Node  `protobuf:"bytes,2,opt,name=node" json:"node,omitempty"`
	// List of resources to subscribe to, e.g. list of cluster names or a route
	// configuration name. If this is empty, all resources for the API are
	// returned. LDS/CDS expect empty resource_names, since this is global
	// discovery for the Envoy instance. The LDS and CDS responses will then imply
	// a number of resources that need to be fetched via EDS/RDS, which will be
	// explicitly enumerated in resource_names.
	ResourceNames []string `protobuf:"bytes,3,rep,name=resource_names,json=resourceNames" json:"resource_names,omitempty"`
	// Type of the resource that is being requested, e.g.
	// "type.googleapis.com/envoy.api.v2.ClusterLoadAssignment". This is implicit
	// in requests made via singleton xDS APIs such as CDS, LDS, etc. but is
	// required for ADS.
	TypeUrl string `protobuf:"bytes,4,opt,name=type_url,json=typeUrl" json:"type_url,omitempty"`
	// nonce corresponding to DiscoveryResponse being ACK/NACKed. See above
	// discussion on version_info and the DiscoveryResponse nonce comment. This
	// may be empty if no nonce is available, e.g. at startup or for non-stream
	// xDS implementations.
	ResponseNonce string `protobuf:"bytes,5,opt,name=response_nonce,json=responseNonce" json:"response_nonce,omitempty"`
}

func (m *DiscoveryRequest) Reset()                    { *m = DiscoveryRequest{} }
func (m *DiscoveryRequest) String() string            { return proto.CompactTextString(m) }
func (*DiscoveryRequest) ProtoMessage()               {}
func (*DiscoveryRequest) Descriptor() ([]byte, []int) { return fileDescriptor5, []int{0} }

func (m *DiscoveryRequest) GetVersionInfo() string {
	if m != nil {
		return m.VersionInfo
	}
	return ""
}

func (m *DiscoveryRequest) GetNode() *Node {
	if m != nil {
		return m.Node
	}
	return nil
}

func (m *DiscoveryRequest) GetResourceNames() []string {
	if m != nil {
		return m.ResourceNames
	}
	return nil
}

func (m *DiscoveryRequest) GetTypeUrl() string {
	if m != nil {
		return m.TypeUrl
	}
	return ""
}

func (m *DiscoveryRequest) GetResponseNonce() string {
	if m != nil {
		return m.ResponseNonce
	}
	return ""
}

type DiscoveryResponse struct {
	VersionInfo string                  `protobuf:"bytes,1,opt,name=version_info,json=versionInfo" json:"version_info,omitempty"`
	Resources   []*google_protobuf5.Any `protobuf:"bytes,2,rep,name=resources" json:"resources,omitempty"`
	// Canary is used to support two Envoy command line flags:
	//
	// * --terminate-on-canary-transition-failure. When set, Envoy is able to
	//   terminate if it detects that configuration is stuck at canary. Consider
	//   this example sequence of updates:
	//   - Management server applies a canary config successfully.
	//   - Management server rolls back to a production config.
	//   - Envoy rejects the new production config.
	//   Since there is no sensible way to continue receiving configuration
	//   updates, Envoy will then terminate and apply production config from a
	//   clean slate.
	// * --dry-run-canary. When set, a canary response will never be applied, only
	//   validated via a dry run.
	Canary bool `protobuf:"varint,3,opt,name=canary" json:"canary,omitempty"`
	// Type URL for resources. This must be consistent with the type_url in the
	// Any messages for resources if resources is non-empty. This effectively
	// identifies the xDS API when muxing over ADS.
	TypeUrl string `protobuf:"bytes,4,opt,name=type_url,json=typeUrl" json:"type_url,omitempty"`
	// For gRPC based subscriptions, the nonce provides a way to explicitly ack a
	// specific DiscoveryResponse in a following DiscoveryRequest. Additional
	// messages may have been sent by Envoy to the management server for the
	// previous version on the stream prior to this DiscoveryResponse, that were
	// unprocessed at response send time. The nonce allows the management server
	// to ignore any further DiscoveryRequests for the previous version until a
	// DiscoveryRequest bearing the nonce. The nonce is optional and is not
	// required for non-stream based xDS implementations.
	Nonce string `protobuf:"bytes,5,opt,name=nonce" json:"nonce,omitempty"`
}

func (m *DiscoveryResponse) Reset()                    { *m = DiscoveryResponse{} }
func (m *DiscoveryResponse) String() string            { return proto.CompactTextString(m) }
func (*DiscoveryResponse) ProtoMessage()               {}
func (*DiscoveryResponse) Descriptor() ([]byte, []int) { return fileDescriptor5, []int{1} }

func (m *DiscoveryResponse) GetVersionInfo() string {
	if m != nil {
		return m.VersionInfo
	}
	return ""
}

func (m *DiscoveryResponse) GetResources() []*google_protobuf5.Any {
	if m != nil {
		return m.Resources
	}
	return nil
}

func (m *DiscoveryResponse) GetCanary() bool {
	if m != nil {
		return m.Canary
	}
	return false
}

func (m *DiscoveryResponse) GetTypeUrl() string {
	if m != nil {
		return m.TypeUrl
	}
	return ""
}

func (m *DiscoveryResponse) GetNonce() string {
	if m != nil {
		return m.Nonce
	}
	return ""
}

func init() {
	proto.RegisterType((*DiscoveryRequest)(nil), "envoy.api.v2.DiscoveryRequest")
	proto.RegisterType((*DiscoveryResponse)(nil), "envoy.api.v2.DiscoveryResponse")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for AggregatedDiscoveryService service

type AggregatedDiscoveryServiceClient interface {
	// This is a gRPC-only API.
	StreamAggregatedResources(ctx context.Context, opts ...grpc.CallOption) (AggregatedDiscoveryService_StreamAggregatedResourcesClient, error)
}

type aggregatedDiscoveryServiceClient struct {
	cc *grpc.ClientConn
}

func NewAggregatedDiscoveryServiceClient(cc *grpc.ClientConn) AggregatedDiscoveryServiceClient {
	return &aggregatedDiscoveryServiceClient{cc}
}

func (c *aggregatedDiscoveryServiceClient) StreamAggregatedResources(ctx context.Context, opts ...grpc.CallOption) (AggregatedDiscoveryService_StreamAggregatedResourcesClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_AggregatedDiscoveryService_serviceDesc.Streams[0], c.cc, "/envoy.api.v2.AggregatedDiscoveryService/StreamAggregatedResources", opts...)
	if err != nil {
		return nil, err
	}
	x := &aggregatedDiscoveryServiceStreamAggregatedResourcesClient{stream}
	return x, nil
}

type AggregatedDiscoveryService_StreamAggregatedResourcesClient interface {
	Send(*DiscoveryRequest) error
	Recv() (*DiscoveryResponse, error)
	grpc.ClientStream
}

type aggregatedDiscoveryServiceStreamAggregatedResourcesClient struct {
	grpc.ClientStream
}

func (x *aggregatedDiscoveryServiceStreamAggregatedResourcesClient) Send(m *DiscoveryRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *aggregatedDiscoveryServiceStreamAggregatedResourcesClient) Recv() (*DiscoveryResponse, error) {
	m := new(DiscoveryResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// Server API for AggregatedDiscoveryService service

type AggregatedDiscoveryServiceServer interface {
	// This is a gRPC-only API.
	StreamAggregatedResources(AggregatedDiscoveryService_StreamAggregatedResourcesServer) error
}

func RegisterAggregatedDiscoveryServiceServer(s *grpc.Server, srv AggregatedDiscoveryServiceServer) {
	s.RegisterService(&_AggregatedDiscoveryService_serviceDesc, srv)
}

func _AggregatedDiscoveryService_StreamAggregatedResources_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(AggregatedDiscoveryServiceServer).StreamAggregatedResources(&aggregatedDiscoveryServiceStreamAggregatedResourcesServer{stream})
}

type AggregatedDiscoveryService_StreamAggregatedResourcesServer interface {
	Send(*DiscoveryResponse) error
	Recv() (*DiscoveryRequest, error)
	grpc.ServerStream
}

type aggregatedDiscoveryServiceStreamAggregatedResourcesServer struct {
	grpc.ServerStream
}

func (x *aggregatedDiscoveryServiceStreamAggregatedResourcesServer) Send(m *DiscoveryResponse) error {
	return x.ServerStream.SendMsg(m)
}

func (x *aggregatedDiscoveryServiceStreamAggregatedResourcesServer) Recv() (*DiscoveryRequest, error) {
	m := new(DiscoveryRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

var _AggregatedDiscoveryService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "envoy.api.v2.AggregatedDiscoveryService",
	HandlerType: (*AggregatedDiscoveryServiceServer)(nil),
	Methods:     []grpc.MethodDesc{},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "StreamAggregatedResources",
			Handler:       _AggregatedDiscoveryService_StreamAggregatedResources_Handler,
			ServerStreams: true,
			ClientStreams: true,
		},
	},
	Metadata: "api/discovery.proto",
}

func init() { proto.RegisterFile("api/discovery.proto", fileDescriptor5) }

var fileDescriptor5 = []byte{
	// 342 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x51, 0xcb, 0x4e, 0xc2, 0x40,
	0x14, 0x75, 0x28, 0x20, 0x0c, 0x8f, 0xe8, 0x48, 0x4c, 0xe9, 0x42, 0x2b, 0x89, 0xa6, 0xab, 0xc1,
	0xd4, 0x2f, 0x20, 0x71, 0xe3, 0x86, 0xc5, 0x10, 0xd7, 0xcd, 0xb4, 0xbd, 0x34, 0x4d, 0x60, 0xa6,
	0xce, 0xb4, 0x4d, 0xba, 0xf3, 0x9f, 0xfc, 0x07, 0xbf, 0xcb, 0xf4, 0x05, 0x68, 0xa2, 0x71, 0x79,
	0x1e, 0x9d, 0x7b, 0xce, 0x29, 0xbe, 0xe2, 0x49, 0xbc, 0x0c, 0x63, 0x1d, 0xc8, 0x1c, 0x54, 0x41,
	0x13, 0x25, 0x53, 0x49, 0xc6, 0x20, 0x72, 0x59, 0x50, 0x9e, 0xc4, 0x34, 0x77, 0xad, 0x69, 0x69,
	0xf1, 0xb9, 0x86, 0x5a, 0xb5, 0xe6, 0x91, 0x94, 0xd1, 0x0e, 0x96, 0x15, 0xf2, 0xb3, 0xed, 0x92,
	0x8b, 0xe6, 0xc3, 0xc5, 0x27, 0xc2, 0x17, 0xcf, 0xed, 0x63, 0x0c, 0xde, 0x32, 0xd0, 0x29, 0xb9,
	0xc3, 0xe3, 0x1c, 0x94, 0x8e, 0xa5, 0xf0, 0x62, 0xb1, 0x95, 0x26, 0xb2, 0x91, 0x33, 0x64, 0xa3,
	0x86, 0x7b, 0x11, 0x5b, 0x49, 0x1e, 0x70, 0x57, 0xc8, 0x10, 0xcc, 0x8e, 0x8d, 0x9c, 0x91, 0x4b,
	0xe8, 0xe9, 0x7d, 0xba, 0x96, 0x21, 0xb0, 0x4a, 0x27, 0xf7, 0x78, 0xaa, 0x40, 0xcb, 0x4c, 0x05,
	0xe0, 0x09, 0xbe, 0x07, 0x6d, 0x1a, 0xb6, 0xe1, 0x0c, 0xd9, 0xa4, 0x65, 0xd7, 0x25, 0x49, 0xe6,
	0x78, 0x90, 0x16, 0x09, 0x78, 0x99, 0xda, 0x99, 0xdd, 0xea, 0xda, 0x79, 0x89, 0x5f, 0xd5, 0xae,
	0x79, 0x21, 0x91, 0x42, 0x83, 0x27, 0xa4, 0x08, 0xc0, 0xec, 0x55, 0x86, 0x49, 0xcb, 0xae, 0x4b,
	0x72, 0xf1, 0x81, 0xf0, 0xe5, 0x49, 0x91, 0x5a, 0xfa, 0x4f, 0x13, 0x17, 0x0f, 0xdb, 0x2c, 0xda,
	0xec, 0xd8, 0x86, 0x33, 0x72, 0x67, 0xb4, 0x1e, 0x8c, 0xb6, 0x83, 0xd1, 0x95, 0x28, 0xd8, 0xd1,
	0x46, 0xae, 0x71, 0x3f, 0xe0, 0x82, 0xab, 0xc2, 0x34, 0x6c, 0xe4, 0x0c, 0x58, 0x83, 0xfe, 0xaa,
	0x31, 0xc3, 0xbd, 0xd3, 0xf4, 0x35, 0x70, 0xdf, 0x11, 0xb6, 0x56, 0x51, 0xa4, 0x20, 0xe2, 0x29,
	0x84, 0x87, 0xfc, 0x1b, 0x50, 0x79, 0x1c, 0x00, 0xf1, 0xf1, 0x7c, 0x93, 0x2a, 0xe0, 0xfb, 0xa3,
	0x87, 0x1d, 0x42, 0xdc, 0x7c, 0x1f, 0xfd, 0xe7, 0x5f, 0xb4, 0x6e, 0x7f, 0xd5, 0xeb, 0x71, 0x16,
	0x67, 0x0e, 0x7a, 0x44, 0x7e, 0xbf, 0x2a, 0xf9, 0xf4, 0x15, 0x00, 0x00, 0xff, 0xff, 0xa3, 0x7d,
	0x14, 0x73, 0x58, 0x02, 0x00, 0x00,
}
