// Code generated by protoc-gen-go. DO NOT EDIT.
// source: api/npds.proto

package api

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "google.golang.org/genproto/googleapis/api/annotations"
import _ "github.com/lyft/protoc-gen-validate/validate"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// A subset of a network policy that is enforced by a filter on the network
// flows to/from associated hosts.
type NetworkPolicy struct {
	// The unique identifier of a network policy filter.
	// This uniquely identifies the subset of the network policy that is enforced
	// by the filter.
	// Required.
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// The unique identifier of the network policy this subset is part of.
	// Required.
	Policy uint64 `protobuf:"varint,2,opt,name=policy" json:"policy,omitempty"`
	// The part of the policy to be enforced at ingress by the filter.
	// Optional.
	Ingress *DirectionNetworkPolicy `protobuf:"bytes,3,opt,name=ingress" json:"ingress,omitempty"`
	// The part of the policy to be enforced at egress by the filter.
	// Optional.
	Egress *DirectionNetworkPolicy `protobuf:"bytes,4,opt,name=egress" json:"egress,omitempty"`
}

func (m *NetworkPolicy) Reset()                    { *m = NetworkPolicy{} }
func (m *NetworkPolicy) String() string            { return proto.CompactTextString(m) }
func (*NetworkPolicy) ProtoMessage()               {}
func (*NetworkPolicy) Descriptor() ([]byte, []int) { return fileDescriptor11, []int{0} }

func (m *NetworkPolicy) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *NetworkPolicy) GetPolicy() uint64 {
	if m != nil {
		return m.Policy
	}
	return 0
}

func (m *NetworkPolicy) GetIngress() *DirectionNetworkPolicy {
	if m != nil {
		return m.Ingress
	}
	return nil
}

func (m *NetworkPolicy) GetEgress() *DirectionNetworkPolicy {
	if m != nil {
		return m.Egress
	}
	return nil
}

// A network policy to be enforced on flows either to or from hosts.
type DirectionNetworkPolicy struct {
	// The set of per-port network policies, one per destination L4 port.
	// Every PortNetworkPolicy element in this set has a unique toPort.
	// Required and may not be empty.
	PerPortPolicies []*PortNetworkPolicy `protobuf:"bytes,1,rep,name=per_port_policies,json=perPortPolicies" json:"per_port_policies,omitempty"`
}

func (m *DirectionNetworkPolicy) Reset()                    { *m = DirectionNetworkPolicy{} }
func (m *DirectionNetworkPolicy) String() string            { return proto.CompactTextString(m) }
func (*DirectionNetworkPolicy) ProtoMessage()               {}
func (*DirectionNetworkPolicy) Descriptor() ([]byte, []int) { return fileDescriptor11, []int{1} }

func (m *DirectionNetworkPolicy) GetPerPortPolicies() []*PortNetworkPolicy {
	if m != nil {
		return m.PerPortPolicies
	}
	return nil
}

// A network policy to be enforced on flows to a specific destination L4 port.
type PortNetworkPolicy struct {
	// The flows' destination L4 port number, as an unsigned 16-bit integer.
	// Required.
	Port uint32 `protobuf:"varint,1,opt,name=port" json:"port,omitempty"`
	// The flows' L4 transport protocol.
	// Required.
	Protocol SocketAddress_Protocol `protobuf:"varint,2,opt,name=protocol,enum=envoy.api.v2.SocketAddress_Protocol" json:"protocol,omitempty"`
	// The network policy rules to be enforced on the flows to the port.
	// A flow is allowed if any rule matches it. If no rule matches the flow, it is denied.
	// Required and may not be empty.
	Rules []*PortNetworkPolicyRule `protobuf:"bytes,3,rep,name=rules" json:"rules,omitempty"`
}

func (m *PortNetworkPolicy) Reset()                    { *m = PortNetworkPolicy{} }
func (m *PortNetworkPolicy) String() string            { return proto.CompactTextString(m) }
func (*PortNetworkPolicy) ProtoMessage()               {}
func (*PortNetworkPolicy) Descriptor() ([]byte, []int) { return fileDescriptor11, []int{2} }

func (m *PortNetworkPolicy) GetPort() uint32 {
	if m != nil {
		return m.Port
	}
	return 0
}

func (m *PortNetworkPolicy) GetProtocol() SocketAddress_Protocol {
	if m != nil {
		return m.Protocol
	}
	return SocketAddress_TCP
}

func (m *PortNetworkPolicy) GetRules() []*PortNetworkPolicyRule {
	if m != nil {
		return m.Rules
	}
	return nil
}

// A network policy rule, as a conjunction of predicates on L3-L7 flows.
// If all the predicates of a rule match a flow, the flow is allowed.
type PortNetworkPolicyRule struct {
	// The set of identifiers of policies of remote hosts that are allowed by this rule.
	// This predicate matches a flow if the identifier of the policy applied on the flow's remote
	// host is contained in this set. Required and may not be empty.
	RemotePolicies []uint64 `protobuf:"varint,1,rep,packed,name=remote_policies,json=remotePolicies" json:"remote_policies,omitempty"`
	// Types that are valid to be assigned to L7Rules:
	//	*PortNetworkPolicyRule_HttpRules
	L7Rules isPortNetworkPolicyRule_L7Rules `protobuf_oneof:"l7_rules"`
}

func (m *PortNetworkPolicyRule) Reset()                    { *m = PortNetworkPolicyRule{} }
func (m *PortNetworkPolicyRule) String() string            { return proto.CompactTextString(m) }
func (*PortNetworkPolicyRule) ProtoMessage()               {}
func (*PortNetworkPolicyRule) Descriptor() ([]byte, []int) { return fileDescriptor11, []int{3} }

type isPortNetworkPolicyRule_L7Rules interface {
	isPortNetworkPolicyRule_L7Rules()
}

type PortNetworkPolicyRule_HttpRules struct {
	HttpRules *HttpNetworkPolicyRules `protobuf:"bytes,100,opt,name=http_rules,json=httpRules,oneof"`
}

func (*PortNetworkPolicyRule_HttpRules) isPortNetworkPolicyRule_L7Rules() {}

func (m *PortNetworkPolicyRule) GetL7Rules() isPortNetworkPolicyRule_L7Rules {
	if m != nil {
		return m.L7Rules
	}
	return nil
}

func (m *PortNetworkPolicyRule) GetRemotePolicies() []uint64 {
	if m != nil {
		return m.RemotePolicies
	}
	return nil
}

func (m *PortNetworkPolicyRule) GetHttpRules() *HttpNetworkPolicyRules {
	if x, ok := m.GetL7Rules().(*PortNetworkPolicyRule_HttpRules); ok {
		return x.HttpRules
	}
	return nil
}

// XXX_OneofFuncs is for the internal use of the proto package.
func (*PortNetworkPolicyRule) XXX_OneofFuncs() (func(msg proto.Message, b *proto.Buffer) error, func(msg proto.Message, tag, wire int, b *proto.Buffer) (bool, error), func(msg proto.Message) (n int), []interface{}) {
	return _PortNetworkPolicyRule_OneofMarshaler, _PortNetworkPolicyRule_OneofUnmarshaler, _PortNetworkPolicyRule_OneofSizer, []interface{}{
		(*PortNetworkPolicyRule_HttpRules)(nil),
	}
}

func _PortNetworkPolicyRule_OneofMarshaler(msg proto.Message, b *proto.Buffer) error {
	m := msg.(*PortNetworkPolicyRule)
	// l7_rules
	switch x := m.L7Rules.(type) {
	case *PortNetworkPolicyRule_HttpRules:
		b.EncodeVarint(100<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.HttpRules); err != nil {
			return err
		}
	case nil:
	default:
		return fmt.Errorf("PortNetworkPolicyRule.L7Rules has unexpected type %T", x)
	}
	return nil
}

func _PortNetworkPolicyRule_OneofUnmarshaler(msg proto.Message, tag, wire int, b *proto.Buffer) (bool, error) {
	m := msg.(*PortNetworkPolicyRule)
	switch tag {
	case 100: // l7_rules.http_rules
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(HttpNetworkPolicyRules)
		err := b.DecodeMessage(msg)
		m.L7Rules = &PortNetworkPolicyRule_HttpRules{msg}
		return true, err
	default:
		return false, nil
	}
}

func _PortNetworkPolicyRule_OneofSizer(msg proto.Message) (n int) {
	m := msg.(*PortNetworkPolicyRule)
	// l7_rules
	switch x := m.L7Rules.(type) {
	case *PortNetworkPolicyRule_HttpRules:
		s := proto.Size(x.HttpRules)
		n += proto.SizeVarint(100<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case nil:
	default:
		panic(fmt.Sprintf("proto: unexpected type %T in oneof", x))
	}
	return n
}

// A set of network policy rules enforced on HTTP requests.
type HttpNetworkPolicyRules struct {
	// The set of HTTP network policy rules.
	// If any rule matches a request, the request is allowed. Otherwise, it is denied.
	// Required and may not be empty.
	HttpRules []*HttpNetworkPolicyRule `protobuf:"bytes,1,rep,name=http_rules,json=httpRules" json:"http_rules,omitempty"`
}

func (m *HttpNetworkPolicyRules) Reset()                    { *m = HttpNetworkPolicyRules{} }
func (m *HttpNetworkPolicyRules) String() string            { return proto.CompactTextString(m) }
func (*HttpNetworkPolicyRules) ProtoMessage()               {}
func (*HttpNetworkPolicyRules) Descriptor() ([]byte, []int) { return fileDescriptor11, []int{4} }

func (m *HttpNetworkPolicyRules) GetHttpRules() []*HttpNetworkPolicyRule {
	if m != nil {
		return m.HttpRules
	}
	return nil
}

// An HTTP network policy rule, as a conjunction of predicates on HTTP requests.
// If all the predicates of a rule match an HTTP request, the request is allowed. Otherwise, it is
// denied.
type HttpNetworkPolicyRule struct {
	// A set of matchers on the HTTP request's headers' names and values.
	// If all the matchers in this set match an HTTP request, the request is allowed by this rule.
	// Otherwise, it is denied.
	//
	// Some special header names are:
	//
	// * *:uri*: The HTTP request's URI.
	// * *:method*: The HTTP request's method.
	// * *:authority*: Also maps to the HTTP 1.1 *Host* header.
	//
	// Optional. If empty, matches any HTTP request.
	Headers []*HeaderMatcher `protobuf:"bytes,1,rep,name=headers" json:"headers,omitempty"`
}

func (m *HttpNetworkPolicyRule) Reset()                    { *m = HttpNetworkPolicyRule{} }
func (m *HttpNetworkPolicyRule) String() string            { return proto.CompactTextString(m) }
func (*HttpNetworkPolicyRule) ProtoMessage()               {}
func (*HttpNetworkPolicyRule) Descriptor() ([]byte, []int) { return fileDescriptor11, []int{5} }

func (m *HttpNetworkPolicyRule) GetHeaders() []*HeaderMatcher {
	if m != nil {
		return m.Headers
	}
	return nil
}

func init() {
	proto.RegisterType((*NetworkPolicy)(nil), "envoy.api.v2.NetworkPolicy")
	proto.RegisterType((*DirectionNetworkPolicy)(nil), "envoy.api.v2.DirectionNetworkPolicy")
	proto.RegisterType((*PortNetworkPolicy)(nil), "envoy.api.v2.PortNetworkPolicy")
	proto.RegisterType((*PortNetworkPolicyRule)(nil), "envoy.api.v2.PortNetworkPolicyRule")
	proto.RegisterType((*HttpNetworkPolicyRules)(nil), "envoy.api.v2.HttpNetworkPolicyRules")
	proto.RegisterType((*HttpNetworkPolicyRule)(nil), "envoy.api.v2.HttpNetworkPolicyRule")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for NetworkPolicyDiscoveryService service

type NetworkPolicyDiscoveryServiceClient interface {
	StreamNetworkPolicies(ctx context.Context, opts ...grpc.CallOption) (NetworkPolicyDiscoveryService_StreamNetworkPoliciesClient, error)
	FetchNetworkPolicies(ctx context.Context, in *DiscoveryRequest, opts ...grpc.CallOption) (*DiscoveryResponse, error)
}

type networkPolicyDiscoveryServiceClient struct {
	cc *grpc.ClientConn
}

func NewNetworkPolicyDiscoveryServiceClient(cc *grpc.ClientConn) NetworkPolicyDiscoveryServiceClient {
	return &networkPolicyDiscoveryServiceClient{cc}
}

func (c *networkPolicyDiscoveryServiceClient) StreamNetworkPolicies(ctx context.Context, opts ...grpc.CallOption) (NetworkPolicyDiscoveryService_StreamNetworkPoliciesClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_NetworkPolicyDiscoveryService_serviceDesc.Streams[0], c.cc, "/envoy.api.v2.NetworkPolicyDiscoveryService/StreamNetworkPolicies", opts...)
	if err != nil {
		return nil, err
	}
	x := &networkPolicyDiscoveryServiceStreamNetworkPoliciesClient{stream}
	return x, nil
}

type NetworkPolicyDiscoveryService_StreamNetworkPoliciesClient interface {
	Send(*DiscoveryRequest) error
	Recv() (*DiscoveryResponse, error)
	grpc.ClientStream
}

type networkPolicyDiscoveryServiceStreamNetworkPoliciesClient struct {
	grpc.ClientStream
}

func (x *networkPolicyDiscoveryServiceStreamNetworkPoliciesClient) Send(m *DiscoveryRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *networkPolicyDiscoveryServiceStreamNetworkPoliciesClient) Recv() (*DiscoveryResponse, error) {
	m := new(DiscoveryResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *networkPolicyDiscoveryServiceClient) FetchNetworkPolicies(ctx context.Context, in *DiscoveryRequest, opts ...grpc.CallOption) (*DiscoveryResponse, error) {
	out := new(DiscoveryResponse)
	err := grpc.Invoke(ctx, "/envoy.api.v2.NetworkPolicyDiscoveryService/FetchNetworkPolicies", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for NetworkPolicyDiscoveryService service

type NetworkPolicyDiscoveryServiceServer interface {
	StreamNetworkPolicies(NetworkPolicyDiscoveryService_StreamNetworkPoliciesServer) error
	FetchNetworkPolicies(context.Context, *DiscoveryRequest) (*DiscoveryResponse, error)
}

func RegisterNetworkPolicyDiscoveryServiceServer(s *grpc.Server, srv NetworkPolicyDiscoveryServiceServer) {
	s.RegisterService(&_NetworkPolicyDiscoveryService_serviceDesc, srv)
}

func _NetworkPolicyDiscoveryService_StreamNetworkPolicies_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(NetworkPolicyDiscoveryServiceServer).StreamNetworkPolicies(&networkPolicyDiscoveryServiceStreamNetworkPoliciesServer{stream})
}

type NetworkPolicyDiscoveryService_StreamNetworkPoliciesServer interface {
	Send(*DiscoveryResponse) error
	Recv() (*DiscoveryRequest, error)
	grpc.ServerStream
}

type networkPolicyDiscoveryServiceStreamNetworkPoliciesServer struct {
	grpc.ServerStream
}

func (x *networkPolicyDiscoveryServiceStreamNetworkPoliciesServer) Send(m *DiscoveryResponse) error {
	return x.ServerStream.SendMsg(m)
}

func (x *networkPolicyDiscoveryServiceStreamNetworkPoliciesServer) Recv() (*DiscoveryRequest, error) {
	m := new(DiscoveryRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func _NetworkPolicyDiscoveryService_FetchNetworkPolicies_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DiscoveryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NetworkPolicyDiscoveryServiceServer).FetchNetworkPolicies(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/envoy.api.v2.NetworkPolicyDiscoveryService/FetchNetworkPolicies",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NetworkPolicyDiscoveryServiceServer).FetchNetworkPolicies(ctx, req.(*DiscoveryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _NetworkPolicyDiscoveryService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "envoy.api.v2.NetworkPolicyDiscoveryService",
	HandlerType: (*NetworkPolicyDiscoveryServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "FetchNetworkPolicies",
			Handler:    _NetworkPolicyDiscoveryService_FetchNetworkPolicies_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "StreamNetworkPolicies",
			Handler:       _NetworkPolicyDiscoveryService_StreamNetworkPolicies_Handler,
			ServerStreams: true,
			ClientStreams: true,
		},
	},
	Metadata: "api/npds.proto",
}

func init() { proto.RegisterFile("api/npds.proto", fileDescriptor11) }

var fileDescriptor11 = []byte{
	// 578 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x54, 0xdd, 0x6a, 0x13, 0x4f,
	0x14, 0xef, 0x24, 0xdb, 0x34, 0x3d, 0x6d, 0x52, 0x32, 0xff, 0x7f, 0xe2, 0x12, 0xb5, 0x09, 0x5b,
	0x2f, 0x62, 0x2f, 0x12, 0x89, 0x14, 0xa1, 0x88, 0x68, 0x68, 0xa5, 0x37, 0x86, 0xb0, 0xb9, 0x10,
	0xbc, 0x30, 0xac, 0xbb, 0x87, 0x64, 0xe9, 0x66, 0x67, 0x3a, 0x3b, 0x59, 0xc9, 0x6d, 0xf1, 0x09,
	0xea, 0x13, 0xf8, 0x18, 0x0a, 0x82, 0xef, 0xe0, 0x2b, 0x78, 0xe3, 0x53, 0x54, 0x66, 0x3f, 0xda,
	0x6e, 0xba, 0x22, 0x82, 0x77, 0x33, 0x73, 0x7e, 0x1f, 0xe7, 0xfc, 0x66, 0x76, 0xa1, 0x6a, 0x71,
	0xb7, 0xe7, 0x73, 0x27, 0xe8, 0x72, 0xc1, 0x24, 0xa3, 0xdb, 0xe8, 0x87, 0x6c, 0xd9, 0xb5, 0xb8,
	0xdb, 0x0d, 0xfb, 0xcd, 0x9a, 0xaa, 0x5a, 0x8e, 0x23, 0x30, 0x48, 0x00, 0xcd, 0xff, 0xd4, 0x91,
	0xe3, 0x06, 0x36, 0x0b, 0x51, 0x2c, 0x93, 0xc3, 0x8a, 0x3a, 0x14, 0xa9, 0x48, 0xf3, 0xde, 0x94,
	0xb1, 0xa9, 0x87, 0xbd, 0x88, 0xed, 0xfb, 0x4c, 0x5a, 0xd2, 0x65, 0x7e, 0x5a, 0xbd, 0x13, 0x5a,
	0x9e, 0xeb, 0x58, 0x12, 0x7b, 0xe9, 0x22, 0x2e, 0x18, 0x9f, 0x09, 0x54, 0x86, 0x28, 0xdf, 0x33,
	0x71, 0x3a, 0x62, 0x9e, 0x6b, 0x2f, 0x29, 0x05, 0xcd, 0xb7, 0xe6, 0xa8, 0x93, 0x36, 0xe9, 0x6c,
	0x9a, 0xd1, 0x9a, 0x36, 0xa0, 0xc4, 0xa3, 0xaa, 0x5e, 0x68, 0x93, 0x8e, 0x66, 0x26, 0x3b, 0xfa,
	0x0c, 0x36, 0x5c, 0x7f, 0xaa, 0x3a, 0xd5, 0x8b, 0x6d, 0xd2, 0xd9, 0xea, 0x3f, 0xe8, 0xde, 0x9c,
	0xa5, 0x7b, 0xe4, 0x0a, 0xb4, 0x55, 0x1f, 0x19, 0x0b, 0x33, 0x25, 0xd1, 0xa7, 0x50, 0xc2, 0x98,
	0xae, 0xfd, 0x05, 0x3d, 0xe1, 0x18, 0x67, 0xd0, 0xc8, 0x47, 0xd0, 0xd7, 0x50, 0xe3, 0x28, 0x26,
	0x9c, 0x09, 0x39, 0x89, 0x5a, 0x75, 0x31, 0xd0, 0x49, 0xbb, 0xd8, 0xd9, 0xea, 0xb7, 0xb2, 0x16,
	0x23, 0x26, 0x64, 0x86, 0x3b, 0x80, 0x2f, 0x3f, 0xbf, 0x15, 0xd7, 0x2f, 0x48, 0xa1, 0x4c, 0xcc,
	0x1d, 0x8e, 0x42, 0x21, 0x46, 0x89, 0x86, 0xf1, 0x95, 0x40, 0xed, 0x16, 0x85, 0xb6, 0x40, 0x53,
	0x56, 0x51, 0x64, 0x95, 0xc1, 0x96, 0x12, 0x28, 0xed, 0x6b, 0xfa, 0xe5, 0x65, 0xd1, 0x8c, 0x0a,
	0xf4, 0x39, 0x94, 0xa3, 0xb8, 0x6d, 0xe6, 0x45, 0x09, 0x56, 0x57, 0x27, 0x1d, 0x33, 0xfb, 0x14,
	0xe5, 0x8b, 0xe4, 0xd6, 0x47, 0x09, 0xd6, 0xbc, 0x62, 0xd1, 0x63, 0x58, 0x17, 0x0b, 0x0f, 0x55,
	0xce, 0x6a, 0x8a, 0xbd, 0x3f, 0x4c, 0x61, 0x2e, 0x3c, 0xcc, 0x4c, 0x12, 0xb3, 0x8d, 0x4f, 0x04,
	0xea, 0xb9, 0x60, 0x7a, 0x00, 0x3b, 0x02, 0xe7, 0x4c, 0x62, 0x36, 0x30, 0x6d, 0xb0, 0xad, 0x54,
	0x36, 0x2e, 0x88, 0x56, 0x26, 0x3a, 0x31, 0xab, 0x31, 0x28, 0x0d, 0x84, 0x1e, 0x03, 0xcc, 0xa4,
	0xe4, 0x93, 0xb8, 0x39, 0x27, 0xef, 0x16, 0x4f, 0xa4, 0xe4, 0xb7, 0xfc, 0x82, 0x93, 0x35, 0x73,
	0x53, 0x31, 0xa3, 0xcd, 0x00, 0xa0, 0xec, 0x3d, 0x89, 0x45, 0x8c, 0x19, 0x34, 0xf2, 0x29, 0x74,
	0x98, 0x31, 0x23, 0x79, 0x49, 0xe4, 0x32, 0x33, 0x49, 0x5c, 0xbb, 0x1a, 0x43, 0xa8, 0xe7, 0xe2,
	0xe9, 0x01, 0x6c, 0xcc, 0xd0, 0x72, 0x50, 0xa4, 0x2e, 0x77, 0x57, 0x5c, 0xa2, 0xe2, 0x2b, 0x4b,
	0xda, 0x33, 0x14, 0x66, 0x8a, 0xed, 0x7f, 0x28, 0xc0, 0xfd, 0x8c, 0xd8, 0x51, 0xfa, 0xcd, 0x8e,
	0x51, 0x84, 0xae, 0x8d, 0xf4, 0x2d, 0xd4, 0xc7, 0x52, 0xa0, 0x35, 0xbf, 0x09, 0x53, 0x39, 0xee,
	0xae, 0xbe, 0xfc, 0x84, 0x68, 0xe2, 0xd9, 0x02, 0x03, 0xd9, 0x6c, 0xfd, 0xb6, 0x1e, 0x70, 0xe6,
	0x07, 0x68, 0xac, 0x75, 0xc8, 0x23, 0x42, 0xcf, 0x09, 0xfc, 0xff, 0x12, 0xa5, 0x3d, 0xfb, 0xe7,
	0xfa, 0x0f, 0xcf, 0xbf, 0xff, 0xf8, 0x58, 0xd8, 0x33, 0x76, 0x7b, 0x61, 0xff, 0xfa, 0x5f, 0x74,
	0xe8, 0xc7, 0x3e, 0x57, 0x8f, 0xe6, 0x90, 0xec, 0x0f, 0xd6, 0xdf, 0x14, 0x2d, 0xee, 0xbe, 0x2b,
	0x45, 0x8f, 0xf7, 0xf1, 0xaf, 0x00, 0x00, 0x00, 0xff, 0xff, 0x20, 0x4e, 0x85, 0xef, 0xef, 0x04,
	0x00, 0x00,
}
